Subject: bug#22009: PATCH: Use `window-total-width' in `window-splittable-p'

From: martin rudalics <[email-masked]>
Date: Sat, 28 Nov 2015 16:49:04 +0100

> Yes, thanks.  But that still doesn't suggest how to fix
 > window-splittable-p, unless we care _only_ for Joost's use case.  And
 > I don't think we can declare that only such use cases matter, as
 > window-splittable-p is too general-purpose for that.

Indeed.  Joost's fix also takes care of fringes, scroll bars and
dividers.

 > We agree that the code should be fixed.  We just disagree about (or
 > don't know) _how_ to fix it.

If we do not fix the code on the release branch I have to fix a couple
of doc-strings there telling that for historical reasons we do compare
apples and oranges.  Affected are ‘window-splittable-p’,
‘split-window-sensibly’ and ‘split-width-threshold’.  For the latter two
I'd have to amend the Elisp manual as well.

martin